Skip to content

Onboard virtual account​

POST
/v1/fiat/virtual-account/onboarding/{currency}

Creates and activates a new virtual account for the authenticated account in the specified currency. No request body is required.

Prerequisites (Individual): The primary account must have a residential address on file (address, city, postal code, region, country) and profile info set. The API key must have the LinkBankAccount permission.

Prerequisites (Business): The primary account must have corporate account info on file (company name, registration number), a registered corporate address, and profile info set. The API key must have the LinkBankAccount permission.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currency*

The fiat currency code for the virtual account (e.g., USD or EUR).

Type
string
Required

Responses​

Virtual account onboarded successfully

application/json

Playground​

Authorization
Variables
Key
Value

Samples​